#include "pitches.h"
#include <stdint.h>

const int16_t PROGMEM notes[][3]={
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_G3,   0,          0},
{0,         NOTE_C3,    0},
{NOTE_C4,   0,          8},
{NOTE_D4,   0,          0},
{NOTE_DS4,  NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          8},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F4,   NOTE_AS2,   0},
{0,         0,          0},
{0,         0,          0},
{NOTE_DS4,  NOTE_AS2,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_AS3,  NOTE_AS2,   0},
{0,         0,          0},
{NOTE_C4,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_GS3,  0,          0},
{0,         NOTE_C3,    0},
{NOTE_AS3,  0,          8},
{0,         0,          0},
{NOTE_C4,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_G4,   NOTE_C3,    0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_C3,    0},
{NOTE_DS4,  0,          8},
{0,         0,          0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_F4,   NOTE_DS3,   0},
{0,         0,          0},
{0,         0,          0},
{NOTE_DS4,  NOTE_DS3,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_D4,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C4,   NOTE_F3,    0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_F3,    0},
{0,         0,          8},
{0,         0,          0},
{0,         NOTE_F3,    0},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{-2,        -1,         -8},
// pattern 2
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_G3,   0,          0},
{0,         NOTE_C3,    0},
{NOTE_C4,   0,          8},
{NOTE_D4,   0,          0},
{NOTE_DS4,  NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          8},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F4,   NOTE_AS2,   0},
{0,         0,          0},
{0,         0,          0},
{NOTE_DS4,  NOTE_AS2,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_AS3,  NOTE_AS2,   0},
{0,         0,          0},
{NOTE_C4,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_GS3,  0,          0},
{0,         NOTE_C3,    0},
{NOTE_AS3,  0,          8},
{0,         0,          0},
{NOTE_C4,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_G4,   NOTE_C3,    0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_C3,    0},
{NOTE_DS4,  0,          8},
{0,         0,          0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_F4,   NOTE_DS3,   0},
{0,         0,          0},
{0,         0,          0},
{NOTE_DS4,  NOTE_DS3,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_D4,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C4,   NOTE_F3,    0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_F3,    0},
{0,         0,          8},
{0,         0,          0},
{NOTE_C4,   NOTE_F3,    0},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          0},
{NOTE_D4,   0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
//pattern 3
{NOTE_C4,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_G3,   0,          0},
{0,         NOTE_C3,    0},
{NOTE_C4,   0,          8},
{0,         0,          0},
{NOTE_D4,   NOTE_C3,    0},
{NOTE_DS4,  0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{NOTE_AS3,  0,          8},
{0,         0,          0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F4,   NOTE_AS2,   0},
{NOTE_DS4,  0,          0},
{NOTE_D4,   0,          0},
{NOTE_DS4,  NOTE_AS2,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_AS3,  NOTE_AS2,   0},
{0,         0,          0},
{NOTE_C4,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_GS3,  0,          0},
{0,         NOTE_C3,    0},
{NOTE_AS3,  0,          8},
{0,         0,          0},
{NOTE_C4,   NOTE_C3,    0},
{NOTE_DS4,  0,          0},
{NOTE_G4,   NOTE_C3,    0},
{0,         0,          0},
{0,         0,          0},
{NOTE_D4,   NOTE_C3,    0},
{NOTE_DS4,  0,          8},
{0,         0,          0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_F4,   NOTE_DS3,   0},
{0,         0,          0},
{0,         0,          0},
{NOTE_DS4,  NOTE_DS3,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_D4,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C4,   NOTE_F3,    0},
{0,         0,          0},
{0,         0,          0},
{0,         NOTE_F3,    0},
{NOTE_C4,   0,          8},
{0,         0,          0},
{NOTE_C4,   NOTE_F3,    0},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          0},
{NOTE_D4,   0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{NOTE_G4,   0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{-2,        0,          0},
// pattern 4
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_G4,   0,          0},
{0,         NOTE_C3,    0},
{NOTE_C5,   0,          8},
{0,         0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_AS4,  0,          8},
{NOTE_G4,   0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F5,   NOTE_AS2,   0},
{NOTE_DS5,  0,          0},
{NOTE_D5,   0,          0},
{NOTE_DS5,  NOTE_AS2,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_AS4,  NOTE_AS2,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_GS4,  0,          0},
{0,         NOTE_C3,    0},
{NOTE_AS4,  0,          8},
{0,         0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          8},
{0,         0,          0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_F5,   NOTE_DS3,   0},
{NOTE_GS4,  0,          0},
{NOTE_F5,   0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_F4,   0,          8},
{NOTE_DS5,  0,          0},
{NOTE_D5,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   0,          0},
{NOTE_GS4,  NOTE_F3,    0},
{NOTE_C5,   0,          8},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_G3,    0},
{NOTE_G4,   0,          0},
{NOTE_D5,   0,          0},
{NOTE_G4,   NOTE_G3,    0},
{NOTE_D5,   0,          8},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{-2,        0,          0},
// pattern 5
{NOTE_C5,   NOTE_C3,    0},
{NOTE_C4,   0,          0},
{NOTE_G4,   0,          0},
{NOTE_G3,   NOTE_C3,    0},
{NOTE_C5,   0,          8},
{0,         0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_AS4,  0,          8},
{NOTE_G4,   0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F5,   NOTE_AS2,   0},
{NOTE_DS5,  0,          0},
{NOTE_D5,   0,          0},
{NOTE_DS5,  NOTE_AS2,   0},
{NOTE_DS4,  0,          8},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  NOTE_AS2,   0},
{NOTE_AS3,  0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_C4,   0,          0},
{NOTE_GS4,  0,          0},
{NOTE_GS3,  NOTE_C3,    0},
{NOTE_AS4,  0,          8},
{NOTE_AS3,  0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          8},
{NOTE_DS4,  0,          0},
{NOTE_DS5,  NOTE_C3,    0},
{0,         0,          0},
{NOTE_F5,   NOTE_DS3,   0},
{NOTE_GS4,  0,          0},
{NOTE_F5,   0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_F4,   0,          8},
{NOTE_DS5,  0,          0},
{NOTE_D5,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   0,          0},
{NOTE_GS4,  NOTE_F3,    0},
{NOTE_C5,   0,          8},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_G3,    0},
{NOTE_G4,   0,          0},
{NOTE_D5,   0,          0},
{NOTE_G4,   NOTE_G3,    0},
{NOTE_D5,   0,          8},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
// pattern 6
{NOTE_C5,   NOTE_C3,    0},
{NOTE_C4,   0,          0},
{NOTE_G4,   0,          0},
{NOTE_G3,   NOTE_C3,    0},
{NOTE_C5,   0,          8},
{0,         0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_AS4,  0,          8},
{NOTE_G4,   0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F5,   NOTE_AS2,   0},
{NOTE_DS5,  0,          0},
{NOTE_D5,   0,          0},
{NOTE_DS5,  NOTE_AS2,   0},
{NOTE_DS4,  0,          8},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  NOTE_AS2,   0},
{NOTE_AS3,  0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_C4,   0,          0},
{NOTE_GS4,  0,          0},
{NOTE_GS3,  NOTE_C3,    0},
{NOTE_AS4,  0,          8},
{NOTE_AS3,  0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          8},
{NOTE_DS4,  0,          0},
{NOTE_DS5,  NOTE_C3,    0},
{0,         0,          0},
{NOTE_F5,   NOTE_DS3,   0},
{NOTE_GS4,  0,          0},
{NOTE_F5,   0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_F4,   0,          8},
{NOTE_DS5,  0,          0},
{NOTE_D5,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   0,          0},
{NOTE_GS4,  NOTE_F3,    0},
{NOTE_C5,   0,          8},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_G3,    0},
{NOTE_G4,   0,          0},
{NOTE_D5,   0,          0},
{NOTE_G4,   NOTE_G3,    0},
{NOTE_D5,   0,          8},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
//pattern 7
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{NOTE_G5,   0,          8},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_AS5,  NOTE_DS3,   0},
{0,         0,          0},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{NOTE_DS5,  0,          8},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_D5,   NOTE_AS2,   0},
{0,         0,          0},
{0,         NOTE_AS1,   0},
{0,         NOTE_AS2,   0},
{NOTE_F5,   0,          8},
{0,         NOTE_AS1,   0},
{0,         NOTE_AS2,   0},
{0,         0,          0},
{NOTE_G5,   NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          8},
{0,         NOTE_C2,    0},
{NOTE_D5,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          8},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_G4,   NOTE_DS3,   0},
{0,         0,          0},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{0,         0,          8},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_F3,    0},
{0,         0,          0},
{0,         NOTE_F2,    0},
{0,         NOTE_F3,    0},
{0,         0,          8},
{0,         NOTE_F2,    0},
{0,         NOTE_F3,    0},
{0,         0,          0},
{NOTE_D5,   NOTE_G3,    0},
{0,         0,          0},
{0,         NOTE_G2,    0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{0,         NOTE_G2,    0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{-2,        0,          0},
// pattern 8
{NOTE_C5,   NOTE_C3,    0},
{NOTE_DS4,  0,          0},
{NOTE_C5,   NOTE_C2,    0},
{NOTE_C4,   NOTE_C3,    0},
{NOTE_G5,   0,          8},
{NOTE_DS4,  NOTE_C2,    0},
{NOTE_G5,   NOTE_C3,    0},
{NOTE_G4,   0,          0},
{NOTE_AS5,  NOTE_DS3,   0},
{NOTE_G5,   0,          0},
{NOTE_AS5,  NOTE_DS2,   0},
{NOTE_AS4,  NOTE_DS3,   0},
{NOTE_DS5,  0,          8},
{NOTE_G4,   NOTE_DS2,   0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_DS4,  0,          0},
{NOTE_D5,   NOTE_AS2,   0},
{NOTE_F4,   0,          0},
{NOTE_D5,   NOTE_AS1,   0},
{NOTE_F4,   NOTE_AS2,   0},
{NOTE_F5,   0,          8},
{NOTE_AS4,  NOTE_AS1,   0},
{NOTE_F5,   NOTE_AS2,   0},
{NOTE_F4,   0,          0},
{NOTE_G5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   NOTE_C2,    0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_G5,   0,          8},
{NOTE_G4,   NOTE_C2,    0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_D4,   0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_C4,   0,          0},
{NOTE_C5,   NOTE_C2,    0},
{NOTE_C4,   NOTE_C3,    0},
{NOTE_C5,   0,          8},
{NOTE_AS4,  NOTE_C2,    0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_GS4,  0,          0},
{NOTE_G4,   NOTE_DS3,   0},
{NOTE_DS4,  0,          0},
{NOTE_G4,   NOTE_DS2,   0},
{NOTE_G3,   NOTE_DS3,   0},
{NOTE_G4,   0,          8},
{NOTE_AS3,  NOTE_DS2,   0},
{NOTE_G4,   NOTE_DS3,   0},
{NOTE_G3,   0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_F2,    0},
{NOTE_F4,   NOTE_F3,    0},
{NOTE_C5,   0,          8},
{NOTE_GS4,  NOTE_F2,    0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_C4,   0,          0},
{NOTE_D5,   NOTE_G3,    0},
{NOTE_AS4,  0,          0},
{NOTE_D5,   NOTE_G2,    0},
{NOTE_AS4,  NOTE_G3,    0},
{NOTE_D5,   0,          8},
{NOTE_C5,   NOTE_G2,    0},
{NOTE_D5,   NOTE_G3,    0},
{0,         0,          8},
{-2,        0,          0},
// pattern 9
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{NOTE_G5,   0,          8},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_AS5,  NOTE_DS3,   0},
{0,         0,          0},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{NOTE_DS5,  0,          8},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_D5,   NOTE_AS2,   0},
{0,         0,          0},
{0,         NOTE_AS1,   0},
{0,         NOTE_AS2,   0},
{NOTE_F5,   0,          8},
{0,         NOTE_AS1,   0},
{0,         NOTE_AS2,   0},
{0,         0,          0},
{NOTE_G5,   NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          8},
{0,         NOTE_C2,    0},
{NOTE_D5,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          8},
{0,         NOTE_C2,    0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_G4,   NOTE_DS3,   0},
{0,         0,          0},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{0,         0,          8},
{0,         NOTE_DS2,   0},
{0,         NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_F3,    0},
{0,         0,          0},
{0,         NOTE_F2,    0},
{0,         NOTE_F3,    0},
{0,         0,          8},
{0,         NOTE_F2,    0},
{0,         NOTE_F3,    0},
{0,         0,          0},
{NOTE_D5,   NOTE_G3,    0},
{0,         0,          0},
{0,         NOTE_G2,    0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{0,         NOTE_G2,    0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{-2,        0,          0},
// pattern 10
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_G4,   0,          0},
{0,         NOTE_C3,    0},
{NOTE_C5,   0,          8},
{0,         0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{NOTE_DS5,  0,          0},
{NOTE_AS4,  0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_AS4,  0,          8},
{NOTE_G4,   0,          0},
{NOTE_AS4,  NOTE_DS3,   0},
{0,         0,          0},
{NOTE_F5,   NOTE_AS2,   0},
{NOTE_DS5,  0,          0},
{NOTE_D5,   0,          0},
{NOTE_DS5,  NOTE_AS2,   0},
{0,         0,          8},
{0,         0,          0},
{NOTE_AS4,  NOTE_AS2,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_C3,    0},
{0,         0,          0},
{NOTE_GS4,  0,          0},
{0,         NOTE_C3,    0},
{NOTE_AS4,  0,          8},
{0,         0,          0},
{NOTE_C5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   NOTE_C3,    0},
{NOTE_DS5,  0,          0},
{NOTE_G5,   0,          0},
{NOTE_D5,   NOTE_C3,    0},
{NOTE_DS5,  0,          8},
{0,         0,          0},
{0,         NOTE_C3,    0},
{0,         0,          0},
{NOTE_F5,   NOTE_DS3,   0},
{NOTE_GS4,  0,          0},
{NOTE_F5,   0,          0},
{NOTE_DS5,  NOTE_DS3,   0},
{NOTE_F4,   0,          8},
{NOTE_DS5,  0,          0},
{NOTE_D5,   NOTE_DS3,   0},
{0,         0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   0,          0},
{NOTE_GS4,  NOTE_F3,    0},
{NOTE_C5,   0,          8},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_F3,    0},
{NOTE_GS4,  0,          0},
{NOTE_C5,   NOTE_G3,    0},
{NOTE_G4,   0,          0},
{NOTE_D5,   0,          0},
{NOTE_G4,   NOTE_G3,    0},
{NOTE_D5,   0,          8},
{0,         0,          0},
{0,         NOTE_G3,    0},
{0,         0,          8},
{-2,        0,          0},
{-1,        0,          0}
};

